Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems
Class PicoGemsBuilder

    java.lang.Object
      org.picocontainer.gems.PicoGemsBuilder

    public class PicoGemsBuilder

extends Object

Provides a series of factory methods to allow an "index" of the capabilities that you may find in PicoContainer-Gems.

Author:
  Paul Hammant

Constructor Summary
`PicoGemsBuilder()`

Method Summary
`static org.picocontainer.BehaviorFactory` | `ASM_IMPL_HIDING()` Creates an `AsmImplementationHiding` behavior factory.
`static org.picocontainer.ComponentMonitor` | `COMMONS_LOGGING()` Creates a Commons-Logging based component monitor instance.
`static org.picocontainer.BehaviorFactory` | `HOT_SWAPPING()` Creates a `HotSwapping` behavior factory.
`static org.picocontainer.BehaviorFactory` | `IMPL_HIDING()` Deprecated. renamed to ASM_IMPL_HIDING() to better differentiate between JDK Proxy implementation hiding and ASM-based implementation hiding.
`static org.picocontainer.BehaviorFactory` | `JMX()` Only uses the system default mbean server.
`static org.picocontainer.ComponentMonitor` | `LOG4J()` Creates a log4j component monitor instance.
`static org.picocontainer.BehaviorFactory` | `POOLING()` Creates an instance pooling adapter factory.
`static org.picocontainer.ComponentMonitor` | `SLF4J()` Creates a slf4j component monitor instance.
`static org.picocontainer.BehaviorFactory` | `THREAD_LOCAL()` Creates a thread localizing adapter factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PicoGemsBuilder

    public PicoGemsBuilder()

Method Detail

### IMPL_HIDING

    @Deprecated
    public static org.picocontainer.BehaviorFactory IMPL_HIDING()

  Deprecated. renamed to ASM_IMPL_HIDING() to better differentiate between JDK Proxy implementation hiding and ASM-based implementation hiding.

  Creates an `AsmImplementationHiding` behavior factory.

  Returns:
    a new AsmImplementationHiding() instance.

### ASM_IMPL_HIDING

    public static org.picocontainer.BehaviorFactory ASM_IMPL_HIDING()

  Creates an `AsmImplementationHiding` behavior factory.

  Returns:
    a new AsmImplementationHiding() instance.
  Since:
    PicoContainer-Gems 2.4

### HOT_SWAPPING

    public static org.picocontainer.BehaviorFactory HOT_SWAPPING()

  Creates a `HotSwapping` behavior factory.

  Returns:

### JMX

    public static org.picocontainer.BehaviorFactory JMX()

  Only uses the system default mbean server. See `JMXExposing` for other constructors that give you more flexibility in exposing your objects.

  Returns:
    JMX Exposing behavior factory.

### THREAD_LOCAL

    public static org.picocontainer.BehaviorFactory THREAD_LOCAL()

  Creates a thread localizing adapter factory.

  Returns:

### POOLING

    public static org.picocontainer.BehaviorFactory POOLING()

  Creates an instance pooling adapter factory.

  Returns:

### LOG4J

    public static org.picocontainer.ComponentMonitor LOG4J()

  Creates a log4j component monitor instance. You will need Log4j in your classpath for this method to work.

  Returns:
    Log4j-based component monitor.

### SLF4J

    public static org.picocontainer.ComponentMonitor SLF4J()

  Creates a slf4j component monitor instance. You will need SLF4j in your classpath for this method to work properly.

  Returns:
    SLF4j-based component monitor.

### COMMONS_LOGGING

    public static org.picocontainer.ComponentMonitor COMMONS_LOGGING()

  Creates a Commons-Logging based component monitor instance. You will need Apache Commons-Logging in your classpath for this method to work properly.

  Returns:
    Commons-Logging based component monitor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.